import { AxiosInstance } from 'axios';
import { Instant } from '../models/Instant';
import { SearchResponse } from '../models/SearchResponse';
export declare enum SortOrder {
    Latest = "Latest",
    Relevance = "Relevance",
    Rating = "Rating"
}
export interface SearchOptions {
    sortOrder: SortOrder;
    automapper?: boolean;
    chroma?: boolean;
    cinema?: boolean;
    from?: Instant;
    fullSpread?: boolean;
    maxBpm?: number;
    maxDuration?: number;
    maxNps?: number;
    maxRating?: number;
    me?: boolean;
    minBpm?: number;
    minDuration?: number;
    minNps?: number;
    noodle?: boolean;
    q?: string;
    ranked?: boolean;
    to?: Instant;
}
export declare function searchMaps(axiosInstance: AxiosInstance, searchOptions?: SearchOptions, page?: number): Promise<SearchResponse>;
