"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.searchMaps = exports.SortOrder = void 0;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importDefault(require("axios"));
const RateLimitError_1 = tslib_1.__importDefault(require("../errors/RateLimitError"));
var SortOrder;
(function (SortOrder) {
    SortOrder["Latest"] = "Latest";
    SortOrder["Relevance"] = "Relevance";
    SortOrder["Rating"] = "Rating";
})(SortOrder = exports.SortOrder || (exports.SortOrder = {}));
function searchMaps(axiosInstance, searchOptions = { sortOrder: SortOrder.Latest }, page = 0) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        try {
            const response = yield axiosInstance.get(`/search/text/${page}`, { params: searchOptions });
            return response.data;
        }
        catch (err) {
            if (axios_1.default.isAxiosError(err)) {
                if (!err.response)
                    throw err;
                const response = err.response;
                if (response.status === 429)
                    throw new RateLimitError_1.default();
            }
            throw err;
        }
    });
}
exports.searchMaps = searchMaps;
